> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shipment

> Unified card shipments API. Ship one card or up to 200 cards in a single draft-first shipment.



## OpenAPI

````yaml /api-reference/openapi.json get /card-shipments/{id}
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /card-shipments/{id}:
    get:
      tags:
        - Card Shipments
      summary: Get shipment
      description: >-
        Unified card shipments API. Ship one card or up to 200 cards in a single
        draft-first shipment.
      operationId: get_card-shipments
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Card shipment with member cards
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardShipmentDetail'
        '404':
          description: Card shipment not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: CARD_SHIPMENT_NOT_FOUND
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: CardShipmentNotFoundError
components:
  schemas:
    CardShipmentDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique shipment identifier
        status:
          type: string
          enum:
            - DRAFT
            - PLACED
            - IN_PRODUCTION
            - READY_TO_SHIP
            - IN_TRANSIT
            - OUT_FOR_DELIVERY
            - DELIVERED
            - DELIVERY_FAILED
            - EXCEPTION
            - CANCELED
          description: Shipment lifecycle status
          example: DRAFT
        destinationAddress:
          $ref: '#/components/schemas/CardShippingAddress'
          description: Box-level destination address
        recipient:
          $ref: '#/components/schemas/CardShipmentRecipient'
        courier:
          type: object
          properties:
            type:
              type: string
              enum:
                - POSTAL
                - COURIER
              description: Courier delivery method
              example: POSTAL
            name:
              anyOf:
                - type: string
                - type: 'null'
              description: Courier name
          required:
            - type
            - name
          description: Courier selection
        trackingNumber:
          anyOf:
            - type: string
            - type: 'null'
          description: Courier tracking number
        trackingUrl:
          anyOf:
            - type: string
            - type: 'null'
          description: Courier tracking URL
        cutoffDate:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 cutoff date returned by the manufacturer
        createdAt:
          type: string
          description: ISO 8601 creation timestamp
        updatedAt:
          type: string
          description: ISO 8601 last update timestamp
        submittedAt:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 timestamp when submitted to the manufacturer
        deliveredAt:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 timestamp when all cards were delivered
        cards:
          type: array
          items:
            $ref: '#/components/schemas/CardShipmentMember'
          description: Cards included in this shipment
      required:
        - id
        - status
        - destinationAddress
        - recipient
        - courier
        - trackingNumber
        - trackingUrl
        - cutoffDate
        - createdAt
        - updatedAt
        - submittedAt
        - deliveredAt
        - cards
    CardShippingAddress:
      type: object
      properties:
        line1:
          type: string
          minLength: 1
          description: Street address line 1
        line2:
          anyOf:
            - type: string
            - type: 'null'
          description: Street address line 2
        zone:
          anyOf:
            - type: string
            - type: 'null'
          description: State, province, or zone
        city:
          type: string
          minLength: 1
          description: City
        postalCode:
          type: string
          minLength: 1
          description: Postal code
        country:
          type: string
          minLength: 2
          maxLength: 2
          examples:
            - US
            - GB
            - DE
          description: ISO 3166-1 alpha-2 country code
      required:
        - line1
        - line2
        - zone
        - city
        - postalCode
        - country
      description: Shipping address
    CardShipmentRecipient:
      type: object
      properties:
        firstName:
          type: string
          minLength: 1
          description: Recipient first name
        lastName:
          type: string
          minLength: 1
          description: Recipient last name
        phoneNumber:
          type: string
          minLength: 1
          description: Recipient phone number
        dialCode:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
          description: Phone dial code
        email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
          description: Recipient email address
      required:
        - firstName
        - lastName
        - phoneNumber
        - dialCode
        - email
      description: Recipient details
    CardShipmentMember:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique shipment member identifier
        cardId:
          type: string
          format: uuid
          description: ID of the card being shipped
        cardDesignId:
          type: string
          description: Card design identifier
        shippingAddress:
          $ref: '#/components/schemas/CardShippingAddress'
          description: Per-card final destination address
        productionStatus:
          type: string
          enum:
            - PENDING
            - REQUESTED
            - IN_PRODUCTION
            - COMPLETED
            - ACTIVATED
            - CANCELED
            - ON_HOLD
            - BULK_SHIP_REJECTED
          description: Per-card production status
          example: PENDING
        rejectedAt:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ISO 8601 timestamp when this card was rejected and excluded from the
            shipment, or null if the card was accepted
        createdAt:
          type: string
          description: ISO 8601 creation timestamp
        updatedAt:
          type: string
          description: ISO 8601 last update timestamp
      required:
        - id
        - cardId
        - cardDesignId
        - shippingAddress
        - productionStatus
        - rejectedAt
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````